Send a test event
POST
/api/webhooks/{id}/test
curl --request POST \ --url https://api.sipstack.com/api/webhooks/1/test \ --header 'Authorization: Bearer <token>'import requests
url = "https://api.sipstack.com/api/webhooks/1/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.json())const url = 'https://api.sipstack.com/api/webhooks/1/test';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}import axios from 'axios';
const options = { method: 'POST', url: 'https://api.sipstack.com/api/webhooks/1/test', headers: {Authorization: 'Bearer <token>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}Dispatches a test event to the endpoint so you can verify connectivity and signature handling.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
integer
Responses
Section titled “ Responses ”Test event dispatched (delivery happens asynchronously — check the delivery log).
Endpoint not found or inactive.